Description

This would allow them to be used from other applications, and more importantly from SEXTANTE, so they can be included in models,

scripts etc.

History

#1 - 2012-06-02 01:52 AM - Alexander Bruy

Zonal statistics, network analysis and most geoproccessing functions already have Python bindings and can be used from plugins

#2 - 2012-06-02 01:59 AM - Nathan Woodrow

I'm not really sure that it is needed IMO as you can just use python and import qgis and use them like that.

As SEXTANTE is part of QGIS via the plugin system it can already use anything that is exposed to Python, which includes qgis.analysis. If SEXTANTE

was ported to core (once stable) it will be able to use stuff that isn't exposed to Python.

Adding command line options for use with SEXTANTE doesn't make much sense as you would need to create a new instance of QGIS, do work, then

close.

#3 - 2012-06-04 02:03 AM - Paolo Cavallini

- Subject changed from Make analysis commands callable from CLI to Make analysis commands callable from Python

All methods should be therefore exposed through Python to be usable this way. Where can we find documentation on how to call these functions?

#4 - 2012-06-04 02:53 AM - Alexander Bruy

Paolo Cavallini wrote:

All methods should be therefore exposed through Python to be usable this way. Where can we find documentation on how to call these functions?

Some information can be found in API docs http://qgis.org/api/group__analysis.html, http://qgis.org/api/classQgsZonalStatistics.html and 

http://qgis.org/api/group__networkanalysis.html. For network analysis there is also description and examples in CookBook 

http://www.qgis.org/pyqgis-cookbook/network-analysis.html

#5 - 2012-10-06 02:19 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-01-02 05:04 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

    -  road graph

    -  interpolation

    -  terrain analysis

    -  zonalstatistics

    -  heatmap

are now part of the analysis library (and the respective tools ported to Processing).
